<div class="md-lower-container1">
  <div class="md-rate-grid">
    <div class="md-rate-grid">
      <h6 class="sectiontitle9 rate-title">
        RATE: {{ solution?.name?.toString()?.split("_")?.join(" ") }}
      </h6>
    </div>
  </div>
  <div class="rating-container">
    <div class="mdl-grid">
      <div class="rating-container-left">
        <div class="new-rating-container">
          <span class="star-rating-title">{{
            averageRatings?.ratingAverageTenths
          }}</span>
          <label class="ratingtxt1">Out of 5 stars</label>
          <div class="stars-outer">
            <div class="stars-inner"></div>
          </div>
          <label class="font600 ratingtxt2"
            >{{ totalRatingsCount }} ratings and reviews</label
          >
          <button
            (click)="openRateDialog()"
            [disabled]="!userId"
            class="mdl-button mdl-js-button btn-secondary"
          >
            Rate This Model
          </button>
        </div>
      </div>
      <div class="rating-container-right">
        <div class="flex-column full-width">
          <div
            class="progress-wrapper"
            *ngFor="let count of ratingCounts; let i = index"
          >
            <span class="flex-column">{{ 5 - i }} star</span>
            <mat-progress-bar
              mode="determinate"
              [value]="perRatingCounts[i]"
              class="progress-bar"
            ></mat-progress-bar>
            <span class="progress-bar-count">{{ count }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<mat-divider></mat-divider>
<div>
  <mat-tab-group>
    <mat-tab label="Discussion ({{ totalCommentCount }})">
      <div class="md-content" id="discussionTab">
        <div class="discussion-outer-container">
          <div class="md-discussion-container">
            <div class="md-discussion-links-container">
              <a ng-click="commentNewest=true">Newest</a> <span>|</span>
              <a ng-click="commentNewest=false">Older</a>
            </div>
          </div>
        </div>
        <div class="discussion-outer-container">
          <br />
          <div class="discussion-add-comment" aria-hidden="false">
            <!--comments section-->
            <div class="flex-column" *ngFor="let comment of comments">
              <div class="discussion-container">
                <div>
                  <img src="../../../../assets/images/user-profile-black.png" />
                </div>
                <div class="discussion-details">
                  <div>
                    <span class="dis-name">{{ firstName }} {{ lastName }}</span
                    >|
                    <span class="text-small">{{ comment.stringDate }}</span>
                    <button
                      class="mdl-button mdl-js-button btn-comments-edit"
                      (click)="onClickEditComment(comment)"
                    >
                      Edit
                    </button>
                    <button
                      [disabled]="comment.replies.length > 0"
                      class="mdl-button mdl-js-button btn-comments-delete"
                      (click)="onClickDeleteComment(comment)"
                    >
                      Delete
                    </button>
                  </div>
                  <p
                    *ngIf="
                      !isEditComment || comment.commentId !== editedCommentId
                    "
                  >
                    {{ comment.text }}
                  </p>
                  <textarea
                    *ngIf="
                      isEditComment && comment.commentId === editedCommentId
                    "
                    class="mdl-textfield__input md-txtarea"
                    [(ngModel)]="comment.text"
                    >{{ comment.text }}</textarea
                  >
                  <div
                    class="flex-row full-width"
                    *ngIf="
                      isEditComment && comment.commentId === editedCommentId
                    "
                  >
                    <button
                      class="mdl-button mdl-js-button btn-secondary"
                      (click)="onClickCancelEditComment()"
                    >
                      Cancel
                    </button>
                    <button
                      (click)="onClickEditPostComment(comment)"
                      class="mdl-button mdl-js-button btn-primary flexible-margin-left"
                    >
                      save changes
                    </button>
                  </div>
                  <div>
                    <div
                      class="discussionformbox flex-row"
                      *ngIf="showReplyText"
                    >
                      <div class="mdl-textfield mdl-js-textfield">
                        <input
                          class="mdl-textfield__input"
                          [(ngModel)]="replyText"
                        />
                      </div>
                    </div>

                    <button
                      *ngIf="!showReplyText"
                      class="mdl-button mdl-js-button btn-secondary reply-button"
                      (click)="onClickShowReply()"
                    >
                      Reply
                    </button>
                    <div class="flex-row full-width" *ngIf="showReplyText">
                      <button
                        *ngIf="showReplyText"
                        (click)="OnClickCancelReply()"
                        class="mdl-button mdl-js-button btn-secondary"
                      >
                        Cancel
                      </button>
                      <button
                        (click)="OnClickPostReply(comment)"
                        class="mdl-button mdl-js-button btn-primary post-reply-button"
                      >
                        Post reply
                      </button>
                    </div>
                  </div>
                </div>
              </div>
              <!--replies section-->
              <div
                class="comment-replies-container"
                *ngFor="let reply of comment.replies"
              >
                <div class="discussion-container">
                  <div>
                    <img
                      src="../../../../assets/images/user-profile-black.png"
                    />
                  </div>
                  <div class="discussion-details">
                    <div>
                      <span class="dis-name"
                        >{{ firstName }} {{ lastName }}</span
                      >|
                      <span class="text-small">{{ reply.stringDate }}</span>
                      <button
                        class="mdl-button mdl-js-button btn-comments-edit"
                        (click)="onClickEditComment(reply)"
                      >
                        Edit
                      </button>
                      <button
                        class="mdl-button mdl-js-button btn-comments-delete"
                        (click)="onClickDeleteComment(reply)"
                      >
                        Delete
                      </button>
                    </div>

                    <p
                      *ngIf="
                        !isEditComment || reply.commentId !== editedCommentId
                      "
                    >
                      {{ reply.text }}
                    </p>
                    <textarea
                      *ngIf="
                        isEditComment && reply.commentId === editedCommentId
                      "
                      class="mdl-textfield__input md-txtarea"
                      [(ngModel)]="reply.text"
                      >{{ reply.text }}</textarea
                    >
                    <div
                      class="flex-row full-width"
                      *ngIf="
                        isEditComment && reply.commentId === editedCommentId
                      "
                    >
                      <button
                        class="mdl-button mdl-js-button btn-secondary"
                        (click)="onClickCancelEditComment()"
                      >
                        Cancel
                      </button>
                      <button
                        (click)="onClickEditPostComment(comment)"
                        class="mdl-button mdl-js-button btn-primary flexible-margin-left"
                      >
                        save changes
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <label class="md-lbl2">Add Comments</label>
            <div class="flex1">
              <div
                class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label md-txtarea-container"
              >
                <textarea
                  class="mdl-textfield__input md-txtarea"
                  type="text"
                  rows="3"
                  id="editComment"
                  aria-invalid="false"
                  [(ngModel)]="commentText"
                ></textarea>
              </div>
            </div>
            <button
              id="postCommentsBtn"
              class="mdl-button mdl-js-button btn-secondary"
              alt="Post Comments"
              title="Post Comments"
              [disabled]="!userId"
              (click)="postComments()"
            >
              Post Comments
            </button>
          </div>
        </div>
      </div></mat-tab
    >
    <mat-tab label="Ratings and reviews ({{ totalRatingsCount }})">
      <div class="md-content">
        <div class="discussion-row" *ngFor="let usersRating of allUserRatings">
          <div>
            <div class="rating clear_both">
              <span *ngFor="let star of [1, 2, 3, 4, 5]">
                <i
                  class="fa fa-star"
                  [ngClass]="{
                    'fa-star1':
                      usersRating.rating == null || usersRating.rating < star
                  }"
                ></i>
              </span>
            </div>
          </div>
          <div>
            <label class="discussion-lbl1"
              >By {{ usersRating.userName }} on
              {{ usersRating.created | date: "MM/dd/yyyy" }}</label
            >
          </div>
          <p>{{ usersRating.textReview }}</p>
        </div>
      </div>
    </mat-tab>
  </mat-tab-group>
</div>
